Name:		geronimo-parent-poms
Version:	1.6
Release:	%mkrel 7
Summary:	Parent POM files for geronimo-specs

Group:		Development/Java
License:	ASL 2.0
URL:		http://geronimo.apache.org/

# Following the parent chain all the way up ...
Source0:	http://svn.apache.org/repos/asf/geronimo/specs/tags/specs-parent-%{version}/pom.xml

# Remove dependencies from POMs that aren't yet in Fedora
Patch0:		%{name}-parent.patch

BuildRequires:	jpackage-utils

BuildArch:	noarch

# Dependencies and plugins from the POM files
Requires:	maven-compiler-plugin
Requires:	maven-idea-plugin
Requires:	maven-jar-plugin
Requires:	maven-pmd-plugin
Requires:	maven-plugin-bundle

Provides:       geronimo-specs = %{version}-%{release}

%description
The Project Object Model files for the geronimo-specs modules.

%files
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP-geronimo-specs.pom

#--------------------------------------------------------------------

%prep
%setup -c -T
cp %SOURCE0 .
%patch0

%build
# Nothing to do ...

%install
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

install -pm 644 pom.xml \
	$RPM_BUILD_ROOT%{_mavenpomdir}/JPP-geronimo-specs.pom
%add_maven_depmap JPP-geronimo-specs.pom -a 'org.apache.geronimo.specs:specs'



%changelog

* Sat Jan 07 2012 dmorgan <dmorgan> 1.6-7.mga2
+ Revision: 192780
- Remove maven2 deps

* Thu Apr 28 2011 dmorgan <dmorgan> 1.6-5.mga1
+ Revision: 92447
- Rebuild after bootstrapping
- imported package geronimo-parent-poms


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb  3 2010 Mary Ellen Foster <mefoster at gmail.com> 1.6-3
- Fix tabs and spaces in srpm
- Remove config flag from mavendepmapfragdir
- Add jpackage-utils to the BuildRequires

* Tue Jan 19 2010 Mary Ellen Foster <mefoster at gmail.com> 1.6-2
- Don't include the apache root pom; it's already in maven2-common-poms
- Double check the dependencies to include only what's in the POMs
- Add initial Provides for the genesis stuff
- Fix changelog

* Mon Jan 18 2010 Mary Ellen Foster <mefoster at gmail.com> 1.6-1
- Initial package
